## firefox-esr 102.3.0esr

=== debian/changelog ===
firefox-esr (102.3.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-41, also known as:
    CVE-2022-40959, CVE-2022-40960, CVE-2022-40958, CVE-2022-40956,
    CVE-2022-40957, CVE-2022-40962.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Sep 2022 06:58:15 +0900

firefox-esr (102.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-34, also known as:
    CVE-2022-38472, CVE-2022-38473, CVE-2022-38477, CVE-2022-38478.

  * debian/rules, debian/control: Fix libavcodec recommends. Closes: #1017782.
  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Aug 2022 06:35:58 +0900

firefox-esr (102.1.0esr-2) unstable; urgency=medium

  * debian/rules: Remove old and now unnecessary workarounds.

  * intl/icu/source/common/unicode/std_string.h,
    intl/icu/source/common/utypeinfo.h,
    intl/icu/source/io/unicode/ustream.h: Remove workaround for old libstdc++
    problem, which now causes problems with GCC 12 on arm.
  * third_party/libwebrtc/moz.build: Add missing webrtc directory for ppc64el
    (bz#1775202).

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2022 15:46:49 +0900

firefox-esr (102.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-28, also known as:
    CVE-2022-36319, CVE-2022-36318, CVE-2022-36315, CVE-2022-36316,
    CVE-2022-36320, CVE-2022-2505.

  * debian/rules:
    - Improve detection of known failing cases on armhf and mipsel.
    - Use thinLTO for rust on armhf, to stay in the memory budget with an
      armhf toolchain.
    - Use MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none instead of
      MACH_USE_SYSTEM_PYTHON=1.
  * debian/rules, debian/watch, debian/watch.in: Generate debian/watch and
    fix it.

  * third_party/libwebrtc/moz.build: Work around bz#1775202 to fix FTBFS on
    ppc64el.
  * config/makefiles/rust.mk: Allow to override rust LTO flag.

 -- Mike Hommey <glandium@debian.org>  Sun, 14 Aug 2022 16:59:19 +0900

firefox (102.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-24, also known as:
    CVE-2022-34479, CVE-2022-34470, CVE-2022-34468, CVE-2022-34482,
    CVE-2022-34483, CVE-2022-34476, CVE-2022-34481, CVE-2022-34474,
    CVE-2022-34471, CVE-2022-34472, CVE-2022-2200, CVE-2022-34480,
    CVE-2022-34477, CVE-2022-34475, CVE-2022-34473, CVE-2022-34484,
    CVE-2022-34485.

  * build/moz.configure/bindgen.configure,
    gfx/webrender_bindings/webrender_ffi.h: Work around build failure with
    newer cbindgen. bz#1773259

 -- Mike Hommey <glandium@debian.org>  Wed, 29 Jun 2022 07:41:32 +0900

firefox (101.0.1-1) unstable; urgency=medium

  * New upstream release.

  * build/moz.configure/rust.configure, debian/control*: Allow to build with
    cargo in unstable.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Jun 2022 06:24:01 +0900

firefox (101.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-20, also known as:
    CVE-2022-31736, CVE-2022-31737, CVE-2022-31738, CVE-2022-31740,
    CVE-2022-31741, CVE-2022-31742, CVE-2022-31743, CVE-2022-31744,
    CVE-2022-31745, CVE-2022-1919, CVE-2022-31747, CVE-2022-31748.

  * debian/rules: Fail the build early when building for armhf on armhf
    (only works on arm64), and when building for mipsel on mipsel.
  * debian/control*: Bump rustc, cargo, cbindgen and nss build dependencies.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Jun 2022 06:07:37 +0900

firefox (100.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-19, also known as CVE-2022-1802 and CVE-2022-1529.

 -- Mike Hommey <glandium@debian.org>  Sat, 21 May 2022 07:32:04 +0900

firefox (100.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-16, also known as:
    CVE-2022-29914, CVE-2022-29909, CVE-2022-29916, CVE-2022-29911,
    CVE-2022-29912, CVE-2022-29915, CVE-2022-29917, CVE-2022-29918.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 May 2022 08:48:41 +0900

firefox (99.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-13, also known as:
    CVE-2022-1097, CVE-2022-28281, CVE-2022-28282, CVE-2022-28283,
    CVE-2022-28284, CVE-2022-28285, CVE-2022-28286, CVE-2022-28287,
    CVE-2022-24713, CVE-2022-28289, CVE-2022-28288.

  * debian/control*: Bump nss build dependency.

 -- Mike Hommey <glandium@debian.org>  Wed, 06 Apr 2022 09:04:22 +0900

firefox (98.0-2) unstable; urgency=medium

  * debian/rules: Install crash reporter files on arm64.

  * js/src/jit/GenerateAtomicOperations.py: Work around a GCC issue with
    generated atomics. bz#1756347.

 -- Mike Hommey <glandium@debian.org>  Thu, 10 Mar 2022 09:09:43 +0900

firefox (98.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-10, also known as:
    CVE-2022-26383, CVE-2022-26384, CVE-2022-26387, CVE-2022-26381,
    CVE-2022-26382, CVE-2022-26385, CVE-2022-0843.
  * Fixes for mfsa2022-09, also known as: CVE-2022-26485, CVE-2022-26486.

  * debian/control*:
    - Bump nss build dependency.
    - Downgrade rust dependency to 1.56, and cargo to 0.57.

  * Cargo.lock, config/makefiles/rust.mk, python/mozboot/mozboot/util.py,
    servo/components/style/Cargo.toml, servo/components/style/build.rs,
    servo/components/style/lib.rs,
    servo/components/style/stylesheets/page_rule.rs,
    servo/components/style/stylist.rs,
    third_party/rust/audioipc2-client/.cargo-checksum.json,
    third_party/rust/audioipc2-client/Cargo.toml,
    third_party/rust/audioipc2-client/build.rs,
    third_party/rust/audioipc2-client/src/lib.rs,
    third_party/rust/wgpu-hal/.cargo-checksum.json,
    third_party/rust/wgpu-hal/src/gles/egl.rs: Relax minimum supported Rust
    version to 1.56.0.

 -- Mike Hommey <glandium@debian.org>  Wed, 09 Mar 2022 07:09:27 +0900

firefox (97.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2022-04, also known as:

